{
  "$schema": "https://schema.management.azure.com/schemas/2015-01-01/deploymentTemplate.json#",
  "contentVersion": "1.0.0.0",
  "parameters": {
    "Gcm.GoogleApiKey": {
      "type": "string",
      "metadata": {
        "description": "Google Cloud Messaging API Key"
      },
      "defaultValue": "AIzaSyCtFqh-_8aAn17p3Y3psG-gB971FlEJZ-Q"
    },
	"notificationHubNS": {
		"type": "string"
	},
	"notificationHubName": {
		"type": "string"
	},
	"APNS.KeyId": {
		"type": "string",
		"defaultValue": "Q5MJXC622U"
	},
	"APNS.BundleId": {
		"type": "string",
		"defaultValue": "dk.webtop.WizdomAppShellProd"
	},
	"APNS.TeamId": {
		"type": "string",
		"defaultValue": "RS7V3FSVJA"
	},
	"APNS.Token": {
		"type": "string",
		"defaultValue": "MIGTAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBHkwdwIBAQQg8eoNKLnUZO40Nmgg ZV8mw0JGOjor5p9p2PLfdlycD3+gCgYIKoZIzj0DAQehRANCAAQkLMpJHK4h61rL EvJAIHcOFOF7i5kdJXX5i3YJMtnN/CF5F5orz+RL6wrRpEQZ+2Y8R5yNMU/iUwh5 xD3AGUQ5"
	}
  },
  "variables": {
    "hubVersion": "[providers('Microsoft.NotificationHubs', 'namespaces').apiVersions[0]]"
  },
  "resources": [
    {
      "name": "[parameters('notificationHubNS')]",
      "location": "[resourceGroup().location]",
      "type": "Microsoft.NotificationHubs/namespaces",
      "apiVersion": "[variables('hubVersion')]",
      "comments": "Notification hub namespace",
      "properties": {
        "namespaceType": "NotificationHub"
      },
      "resources": [
        {
          "name": "[concat(parameters('notificationHubNS'),'/',parameters('notificationHubName'))]",
          "location": "[resourceGroup().location]",
          "type": "Microsoft.NotificationHubs/namespaces/notificationHubs",
          "apiVersion": "[variables('hubVersion')]",
          "properties": {
            "GcmCredential": {
              "properties": {
                "googleApiKey": "[parameters('Gcm.GoogleApiKey')]",
                "gcmEndpoint": "https://android.googleapis.com/gcm/send"
              }
            },
			"ApnsCredential": {
				"properties": {
					"AppId": "[parameters('APNS.TeamId')]",
					"KeyId": "[parameters('APNS.KeyId')]",
					"Endpoint": "https://api.push.apple.com:443/3/device",
					"Token": "[parameters('APNS.Token')]",
					"AppName": "[parameters('APNS.BundleId')]"
				}
			}
          },
          "dependsOn": [
            "[concat('Microsoft.NotificationHubs/namespaces/', parameters('notificationHubNS'))]"
          ]
        }
      ]
    }
  ],
  "outputs": {
  }
}